<template>
    <q-card class="my-card" :class="Class" bordered>
        <q-card-section horizontal>
            <q-card-section class="q-pt-xs">
                <div class="text-h5 q-mt-sm q-mb-xs">{{ project.name }}</div>
                <div class="text-caption text-grey">
                    {{ project.description }}
                </div>
            </q-card-section>
            <q-card-section class="col-5 flex flex-center">
                <q-img class="rounded-borders" :src="project.logo"/>
            </q-card-section>
        </q-card-section>

        <q-separator/>

        <q-card-actions class="row justify-between">
            <div>
                <q-btn flat label="select" @click="$emit('select', project)" color="primary">
                    <q-tooltip>
                        Get started on the project
                    </q-tooltip>
                </q-btn>
                <q-btn flat label='update' @click="$emit('edit', project)" disable>
                    <q-tooltip>
                        Update Project details
                    </q-tooltip>
                </q-btn>
            </div>
            <q-btn outline text-color="red-5" icon="delete" label="delete" @click="$emit('delete', project)">
                <q-tooltip>
                    Delete the project
                </q-tooltip>
            </q-btn>
        </q-card-actions>
    </q-card>
</template>

<style lang='scss' scoped>
.my-card {
    width: 100%;
    max-width: 350px;
}

.selected {
    border: 2px solid $primary;
}

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {ProjectPrincipalResponse} from "src/classLibrary/APIModels/core/projectPrincipalResponse";


@Component
export default class ProjectCard extends Vue {
    @Prop() project!: ProjectPrincipalResponse

    get Class() {
        const pid = this.PersistentStore.StoreValue.project;
        if (pid === this.project.id) {
            return "selected";
        } else {
            return ""
        }
    }

}
</script>
